Fix info-drop scripts
Change-Id: Ia7fca90465bbb97db6fc94b1cedc780bdae65e4f
diff --git a/day01-image/scripts/salt.sh b/day01-image/scripts/salt.sh
index 78cdd79..7e58372 100644
--- a/day01-image/scripts/salt.sh
+++ b/day01-image/scripts/salt.sh
@@ -44,3 +44,13 @@
sleep 60
salt-call ${SALT_OPTS} state.sls jenkins.client
+# Duplicate of ubuntu_info.sh
+mkdir -p /var/log/bootstrap_logs/ ; pushd /var/log/bootstrap_logs/
+ # Drop some reclass info,if available
+ if [[ $(which salt-key) ]] ; then
+ for node in $(salt-key -l acc | grep -v 'Accepted Keys:') ; do
+ salt ${node} pillar.data --out=json > ${node}.pillardata.json || true
+ reclass -n ${node} -o json > ${node}.reclass.json || true
+ done
+ fi
+popd